:root {
    /* Ellie Theme Colors */
    --ellie-bg-default: #F5F7FA;
    --ellie-bg-white: #fff;
    --ellie-text-dark: #0B3456;
    --ellie-text-light: #58748C;
    --ellie-primary-navy60: #234867;
    --ellie-primary-navy: #0B3456;
    --ellie-primary-blue: #1369AA;
    --ellie-primary-orange: #FF9536;
    --ellie-primary-green: #278C9C;
    --ellie-primary-red: #C83232;
    --ellie-border-color: #DAE6F0;
    --ellie-action-banner-bg: #E7F0F8;
    --ellie-action-banner-border: #ABC9E1;
    --ellie-shadow-default: 0px 1px 4px rgba(0, 0, 0, 0.25);

    --ellie-text-black: #000;
    --ellie-bg-red: #FAEBEB;
    --ellie-bg-green: #EAF4F6;
    --ellie-bg-truegreen: #E9F9EE;
    --ellie-bg-orange: #FFF5EB;
    --ellie-text-red: #C83232;
    --ellie-text-green: #20646C;
    --ellie-text-truegreen: #158237;
    --ellie-text-orange: #B85B00;
    --ellie-hover-red: #A62020;
}

.btn-light {
    --bs-btn-color: var(--ellie-text-light);
    --bs-btn-bg: transparent;
    --bs-btn-border-color: var(--ellie-border-color);
    --bs-btn-hover-color: var(--ellie-text-dark);
    --bs-btn-hover-bg: transparent;
    --bs-btn-hover-border-color: var(--ellie-primary-navy);
    --bs-btn-focus-shadow-rgb: 19, 105, 170;
    --bs-btn-active-color: var(--ellie-primary-navy);
    --bs-btn-active-bg: transparent;
    --bs-btn-active-border-color: var(--ellie-primary-navy);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: var(--ellie-text-light);
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: var(--ellie-border-color);
}

.document-actions .btn-outline-danger {
    --bs-btn-color: var(--ellie-primary-red);
    --bs-btn-border-color: var(--ellie-primary-red);
    --bs-btn-hover-color: var(--ellie-hover-red);
    --bs-btn-hover-bg: transparent;
    --bs-btn-hover-border-color: var(--ellie-hover-red);
    --bs-btn-focus-shadow-rgb: 19, 105, 170;
    --bs-btn-active-color: var(--ellie-hover-red);
    --bs-btn-active-bg: var(--ellie-hover-red);
    --bs-btn-active-border-color: var(--ellie-hover-red);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: var(--ellie-primary-red);
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: var(--ellie-primary-red);
    --bs-gradient: none;
}

.btn {
    --bs-btn-disabled-opacity: 0.5;
    --bs-btn-font-weight: 700;
    --bs-btn-padding-x: 0.5rem;
    --bs-btn-padding-y: 0.5rem;
    display: flex;
}

.btn-outline-primary {
    --bs-btn-color: var(--ellie-primary-blue);
    --bs-btn-border-color: var(--ellie-primary-blue);
    --bs-btn-hover-color: var(--ellie-primary-navy);
    --bs-btn-hover-bg: transparent;
    --bs-btn-hover-border-color: var(--ellie-primary-navy);
    --bs-btn-focus-shadow-rgb: 19, 105, 170;
    --bs-btn-active-color: var(--ellie-primary-navy);
    --bs-btn-active-bg: transparent;
    --bs-btn-active-border-color: var(--ellie-primary-navy);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: var(--ellie-primary-blue);
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: var(--ellie-primary-blue);
    --bs-gradient: none;
}

.btn-primary {
    --bs-btn-color: #fff;
    --bs-btn-bg: var(--ellie-primary-blue);
    --bs-btn-border-color: var(--ellie-primary-blue);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: var(--ellie-primary-navy);
    --bs-btn-hover-border-color: var(--ellie-primary-navy);
    --bs-btn-focus-shadow-rgb: 19, 105, 170;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--ellie-primary-navy);
    --bs-btn-active-border-color: var(--ellie-primary-navy);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: var(--ellie-primary-blue);
    --bs-btn-disabled-border-color: var(--ellie-primary-blue);
}

.btn:focus,
.btn:active:focus,
.btn-link.nav-link:focus,
.form-control:focus,
.form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #1369AA;
}

.client-header {
    position: relative;
    height: 42px;
    background-color: var(--ellie-text-dark);
    display: flex;
    align-items: center;
    justify-content: flex-end;
    padding: 0 2rem;
    color: var(--ellie-bg-white);
}

.client-header-bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 40%;
    height: 100%;
    border-top-right-radius: 50px;
}

.client-header-bg.lease {
    background-color: var(--ellie-primary-orange);
}

.client-header-bg.contract {
    background-color: var(--ellie-primary-green);
}

.client-info {
    display: flex;
    align-items: center;
/*    cursor: pointer;*/
    z-index: 1;
}

body {
    background-color: var(--ellie-bg-default);
    color: var(--ellie-text-dark);
}

.main-layout {
    display: flex;
    height: 100vh;
}

.left-pane {
    width: 50%; /* Removed for split.js */
    padding: 2rem;
    background-color: var(--ellie-bg-default);
    overflow-y: auto;
    /* border-right is handled by gutter */
}

.right-pane {
    width: 50%; /* Removed for split.js */
    padding: 0;
    display: flex;
    flex-direction: column;
}

.gutter {
    background-color: var(--ellie-bg-default);
    background-repeat: no-repeat;
    background-position: 50%;
    border-left: 1px solid var(--ellie-border-color);
    border-right: 1px solid var(--ellie-border-color);
}

.gutter.gutter-horizontal {
    background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAUAAAAeCAYAAADkftS9AAAAIklEQVQoU2M4c+bMfxgYGBgYGBgYGBgYGBgYGRgYGRgYGRgYGRgYGRgYGRgYGRgYGRgYGRgYGBgYGFgB2iAeD0QeA8gAAAABJRU5ErkJggg==');
    cursor: col-resize;
}

.right-pane embed {
    flex-grow: 1;
    background-color: var(--ellie-bg-default);
    border: none;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--ellie-text-light);
}

.document-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem 2rem;
    background-color: var(--ellie-bg-white);
    border-bottom: 1px solid var(--ellie-border-color);
}

.document-info {
    display: flex;
    align-items: center;
}

    .document-info h4 {
        margin-bottom: 0.25rem;
        font-weight: 500;
        font-size: 1.1rem;
    }

    .document-info p {
        color: var(--ellie-text-light);
        margin: 0;
        font-size: 0.9rem;
    }

.document-actions {
    display: flex;
    align-items: center;
}

    .document-actions > * + * {
        margin-left: .5rem;
    }

.document-actions .btn {
    border-radius: 6px;
}

.document-header h4 {
    margin-bottom: 0.25rem;
    font-weight: 700;
}

.document-header p {
    color: var(--ellie-text-light);
}

.action-banner {
    background: linear-gradient(145deg, #FFD5AF 40%, #A9D1D7, #ABC9E1);
    border-radius: 8px;
    padding: 2px;
    margin-bottom: 1.5rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    box-shadow: -5px -5px 15px -10px #FFD5AF, 5px 5px 15px -10px #9ACAF0, 0px 0px 10px -5px #9DDCE5;
    -webkit-box-shadow: -5px -5px 15px -10px #FFD5AF, 5px 5px 15px -10px #9ACAF0, 0px 0px 10px -5px #9DDCE5;
    -moz-box-shadow: -5px -5px 15px -10px #FFD5AF, 5px 5px 15px -10px #9ACAF0, 0px 0px 10px -5px #9DDCE5;
}

.action-banner-content {
    background-color: rgba(255, 255, 255, 0.90);
    padding: 1rem;
    border-radius: 6px;
    display: flex;
    align-items: center;
    width: 100%;
}

.action-banner-content p {
    margin: 0;
}

#select-another-action-dropdown {
    position: relative;
    display: inline;
}

#select-another-action-toggle {
    text-decoration: none;
    font-weight: 500;
    color: var(--ellie-primary-blue);
    display: inline-flex;
    align-items: center;
    gap: 2px;
    border: none;
    background: none;
}

#select-another-action-dropdown .dropdown-menu {
    padding: 0;
    list-style: none;
    border-radius: 8px;
    box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.15);
    border: 1px solid var(--ellie-border-color);
    z-index: 2000;
    position: absolute;
    display: none; /* Explicitly hide by default */
    background-color: var(--ellie-bg-white);
}

#select-another-action-dropdown .dropdown-menu.show {
    display: block; /* Show when toggled */
}

#select-another-action-menu .dropdown-item {
    color: var(--ellie-text-dark);
    font-weight: 500;
    padding: 0.5rem 1.5rem;
    display: flex;
    align-items: center;
}

#select-another-action-menu .dropdown-item > div {
    margin-right: 0.5rem;
}

#select-another-action-menu .dropdown-item:hover,
#select-another-action-menu .dropdown-item:focus {
    background-color: var(--ellie-bg-default);
    color: var(--ellie-text-dark);
}

.matches-section {
    padding: 1.5rem;
    background-color: var(--ellie-bg-white);
    border-radius: 8px;
}

.matches-section-header {
    font-weight: 700;
    font-size: .875rem;
    margin-bottom: 1rem;
    color: var(--ellie-primary-navy60);
    display: inline-flex;
    align-items: center;
    gap: 4px;
}

.match-card {
    border: 1px solid var(--ellie-border-color);
    background-color: var(--ellie-bg-white);
    border-radius: 8px;
    padding: 1.5rem;
    margin-bottom: 1rem;
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
}

.match-card-header {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    width: 100%;
}

.match-card-title {
    font-weight: 700;
}
    .match-card-title a {
        color: inherit;
        text-decoration: none;
        display: flex;
        align-items: center;
    }

        .match-card-title a .icon-popout {
            margin-left: 4px;
            visibility: hidden;
        }

        .match-card-title a:hover .icon-popout {
            visibility: visible;
        }

.match-card-actions {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.match-card-bottom {
    display: flex;
    width: 100%;
    justify-content: space-between;
    flex-direction: row;
    align-items: flex-end;
}

.match-card-body {
    width: 100%;
}

.match-card-details {
    display: flex;
}

    .match-card-details span {
        padding-right: .5rem;
        margin-right: .5rem;
        color: var(--ellie-text-black);
        font-size: 0.875rem;
    }

        .match-card-details span:not(:last-child) {
            border-right: 1px solid var(--ellie-border-color);
        }

.match-percentage {
    font-weight: 500;
    font-size: .875rem;
    padding: 0 .25rem;
    border-radius: 4px;
}

.match-high {
    background-color: var(--ellie-bg-truegreen);
    color: var(--ellie-text-truegreen);
}

.match-medium {
    background-color: var(--ellie-bg-orange);
    color: var(--ellie-text-orange);
}

.match-low {
    background-color: var(--ellie-bg-red);
    color: var(--ellie-text-red);
}

.comparison-toggle {
    display: flex;
    text-align: left;
    margin-top: 1rem;
    text-decoration: none;
    color: var(--ellie-text-light);
    font-weight: 700;
    background: none;
    border: none;
    padding: 0;
    cursor: pointer;
}

.comparison-toggle-disabled {
    opacity: 0.5;
    cursor: default;
}

.table {
    margin-bottom: 0px;
}

.comparison-table-container {
    width: 100%;
    margin-top: 1.5rem;
    border: 1px solid var(--ellie-border-color);
    border-radius: 8px;
    overflow: hidden
}

.comparison-table {
    font-size: 0.9rem;
    width: 100%;
    border-collapse: collapse;
}

    .comparison-table th {
        padding: .625rem 1rem;
        text-align: left;
    }

    .comparison-table td {
        padding: 1rem;
        text-align: left;
        border-bottom: none;
        border-top: 1px solid var(--ellie-border-color);
    }

    .comparison-table th {
        font-weight: 500;
        color: var(--ellie-text-light);
        border: none;
    }

    .comparison-table td {
        vertical-align: middle;
    }

    .comparison-table tr td:last-child {
        width: 1rem;
    }

    .comparison-table td.mismatch-cell {
        background-color: var(--ellie-bg-red);
    }

    .comparison-table td.matching-cell {
        background-color: var(--ellie-bg-truegreen);
    }

    .comparison-table .bi-check-circle-fill {
        color: var(--ellie-primary-green);
    }

    .comparison-table .bi-x-circle-fill {
        color: var(--ellie-primary-red);
    }

div.footer-notice,
span.footer-notice-text {
    align-items: center;
    display: flex;
    text-align: center;
}

span.footer-notice-text {
    display: table;
    font-weight: 500;
    line-height: 1.2;
    margin: 2rem auto 1rem auto;
    font-size: .875rem;
    color: var(--ellie-text-light);
}

.post-match-actions {
    margin-top: 2rem;
    text-align: center;
}

.next-action {
    align-items: center;
    display: flex;
    gap: .25rem;
    justify-content: center;
    margin-bottom: 1rem;
    font-weight: 500;
}

    .next-action a {
        align-items: center;
        color: var(--ellie-primary-blue);
        display: inline-flex;
        gap: .25rem;
        text-decoration: none;
    }

.or-separator {
    display: block;
    margin-bottom: 1rem;
    color: var(--ellie-text-light);
}

.return-action {
    color: var(--ellie-primary-blue);
    text-decoration: none;
    font-weight: 500;
}

.match-success-banner {
    display: flex;
    padding: 10px;
    margin-top: 1.5rem;
    border-radius: 8px;
    background-color: var(--ellie-bg-green);
    color: var(--ellie-text-green);
    width: 100%;
}

    .match-success-banner span {
        font-weight: 500;
    }

/* Styles for the error page background */
body:has(.page-error) {
    background-color: #1e1e1e;
}

body:has(.page-error-customer) {
    background-color: #0B3456;
}

.page-error {
    height: 100vh;
}

.page-error-customer {
    height: 100vh;
}